iOS Development

Flutter iOS not putting in Pod

Spread the love


I hold getting this problem each time I run pod set up or arch -x86_64 pod set up or pod replace or pod set up --repo-update

Downloading dependencies
Putting in BoringSSL-GRPC (0.0.24)

[!] Error putting in BoringSSL-GRPC
[!] /usr/native/bin/git clone https://github.com/google/boringssl.git /var/folders/7p/tpl6c7j13nz150xt2rzd4b8h0000gn/T/d20240113-31639-fyjhna --template=

Cloning into '/var/folders/7p/tpl6c7j13nz150xt2rzd4b8h0000gn/T/d20240113-31639-fyjhna'...
error: RPC failed; curl 18 Transferred a partial file
error: 2195 bytes of physique are nonetheless anticipated
fetch-pack: surprising disconnect whereas studying sideband packet
deadly: early EOF
deadly: fetch-pack: invalid index-pack output

All the things was once working very superb until I formatted my MacBook
after which I began downloading all of the software program wanted for constructing Flutter.

I’ve even downloaded and put in a VPN pondering perhaps my ISP is obstructing some IP wanted by the Pod however the points nonetheless persist.

and listed below are my dependencies

dependencies:
  flutter:
    sdk: flutter



  cupertino_icons: ^1.0.2
#  http: ^1.1.0
  appwrite: ^9.0.1
  get: ^4.6.5
  circular_profile: ^0.0.2
  circular_profile_avatar: ^2.0.5
  awesome_bottom_bar: ^1.2.1

  loading_animation_widget: ^1.2.0+4
  cached_network_image: ^3.3.0
  card_loading: ^0.2.2
  image_picker: ^1.0.5
  datetime_picker_formfield_new: ^2.1.0
  file_picker: ^6.1.1
  bootstrap_alert: ^1.0.1
  shared_preferences: ^2.0.16
  icons_plus: ^4.0.0
  appinio_swiper: ^2.0.2
  flutter_masonry_view: ^0.0.2

  flutter_chat_ui: ^1.6.9
  flutter_chat_types: ^3.6.2
  flutter_link_previewer: ^3.2.2
  flutter_parsed_text: ^2.2.1
  intl: '>=0.17.0 <1.0.0'
  meta: '>=1.8.0 <2.0.0'
  photo_view: ^0.14.0
  scroll_to_index: ^3.0.1
  url_launcher: ^6.1.12
  visibility_detector: ^0.3.3
  open_filex: ^4.3.2
  easy_search_bar: ^2.5.0
  anim_search_app_bar: ^1.0.3
  appinio_social_share: ^0.2.5
  chatview: ^1.3.0
  tiktoklikescroller: ^0.2.5
  video_player: ^2.7.0
#  cached_video_player: ^2.0.4
  appinio_video_player: ^1.2.1

  fpdart: ^1.0.0
  flutter_riverpod: ^2.3.6

  carousel_slider: ^4.2.1
  fan_carousel_image_slider: ^0.1.2
  dio: ^5.3.2
  newsfeed_multiple_imageview: ^1.0.1
  timeago: ^3.5.0
  any_link_preview: ^3.0.1
  like_button: ^2.0.5
  toggle_switch: ^2.1.0
  toggle_switch_plus: ^0.0.3
  intl_phone_number_input: ^0.7.3+1
  many_like: ^1.0.0
  flutter_downloader: ^1.11.1
  permission_handler: ^11.0.0
  path_provider: ^2.1.1
  android_path_provider: ^0.3.0


  #MessagingCallingPluginsStart

  flutter_bloc: ^8.1.3
  quiver: ^3.2.1
  kiwi: ^4.1.0
  json_serializable: ^6.7.0
  json_annotation: ^4.8.1
  bloc: ^8.1.2
  auto_route: ^7.2.0
  introduction_screen: ^3.1.8
  rflutter_alert: ^2.0.7
  otp_text_field: ^1.1.3
  flutter_svg: ^2.0.6
  contacts_service: ^0.6.3
  uuid: ^3.0.7
  equatable: ^2.0.5
  riverpod_annotation: ^2.1.1
  freezed: ^2.3.4
  freezed_annotation: ^2.2.0
  hooks_riverpod: ^2.3.6
  flutter_hooks: ^0.18.6
  realm: ^1.3.0
  image_cropper: ^5.0.1
  path: ^1.8.2
  video_trimmer: ^2.0.0
  flutter_background_service: ^3.0.1
  flutter_ringtone_player: ^3.2.0
  flutter_webrtc: ^0.9.35
  firebase_core: ^2.13.1
  cloud_firestore: ^4.8.2
  firebase_messaging: ^14.6.2
  awesome_notifications: ^0.8.2
  timeago_flutter: ^3.5.0
  flutter_fgbg: ^0.3.0
  firebase_database: ^10.2.4
  chat_bubbles: ^1.4.1
  focus_detector: ^2.0.1
  shimmer: ^3.0.0
  circular_image: ^0.0.6
  wakelock: ^0.6.2
  wakelock_windows: ^0.2.1

  flutter_background: ^1.2.0
  chewie: ^1.7.1
  rive: ^0.7.16
  stream_chat_flutter: ^6.10.0
  file: ^4.4.4
  voice_message_package:
    #    path: ../voice_message_player-code-with-bisky
    git:
      url: https://github.com/codewithbisky/voice_message_player.git
      ref: grasp
  story_view: ^0.16.0
  win32: ^3.0.0
  #MessagingCallingPluginsEnd
  #
  uni_links: ^0.5.1
  fluttertoast: ^8.0.9


dependency_overrides:
  visibility_detector: ^0.4.0+2
  http: ^1.1.0
  file_picker: ^6.0.0
  win32: ^5.0.9

  photo_manager: ^3.0.0-dev.5

dev_dependencies:
  flutter_test:
    sdk: flutter

  # The "flutter_lints" bundle beneath accommodates a set of really helpful lints to
  # encourage good coding practices. The lint set supplied by the bundle is
  # activated within the `analysis_options.yaml` file positioned on the root of your
  # bundle. See that file for details about deactivating particular lint
  # guidelines and activating further ones.
  flutter_lints: ^2.0.0
  auto_route_generator: ^7.1.1
  build_runner:
  riverpod_generator: ^2.2.3
  custom_lint: ^0.4.0
  riverpod_lint: ^1.3.2

please, how do I repair this up?

Leave a Reply

Your email address will not be published. Required fields are marked *